module(...)
--auto generate data
REWARD={
	[0]={
		boss_extra_reward={[1]={id=1003,num=40000,},},
		boss_rank_reward={},
		boss_rank_reward2={},
		boss_rank_reward_big_boss={},
		boss_rank_reward_big_boss2={},
		desc=[[Last hit]],
		desc2=[[Last hit]],
		extra_reward={[1]={id=13101,num=1,},[2]={id=13212,num=1,},},
		id=0,
		rank_reward={},
		server_extra_reward={[1]=1049,[2]=1001,},
		server_extra_reward2={[1]=1101,},
		server_rank_reward={},
		server_rank_reward2={},
		server_rank_reward_big_boss={},
		server_rank_reward_big_boss2={},
	},
	[1]={
		boss_extra_reward={},
		boss_rank_reward={[1]={id=1003,num=20,},[2]={id=14011,num=10,},},
		boss_rank_reward2={
			[1]={id=11004,num=1,},
			[2]={id=13101,num=1,},
			[3]={id=13212,num=4,},
		},
		boss_rank_reward_big_boss={[1]={id=1003,num=600,},[2]={id=1017,num=500,},},
		boss_rank_reward_big_boss2={[1]={id=1003,num=1000,},[2]={id=1017,num=500,},},
		desc=[[1]],
		desc2=[[1]],
		extra_reward={},
		id=1,
		rank_reward={
			[1]={id=11004,num=1,},
			[2]={id=13101,num=1,},
			[3]={id=13212,num=4,},
		},
		server_extra_reward={},
		server_extra_reward2={},
		server_rank_reward={[1]=1048,[2]=1049,[3]=1004,},
		server_rank_reward2={[1]=1048,[2]=1049,[3]=1004,},
		server_rank_reward_big_boss={[1]=1104,[2]=1106,},
		server_rank_reward_big_boss2={[1]=1103,[2]=1105,},
	},
	[2]={
		boss_extra_reward={},
		boss_rank_reward={[1]={id=1003,num=20,},[2]={id=14011,num=10,},},
		boss_rank_reward2={
			[1]={id=11004,num=1,},
			[2]={id=13101,num=1,},
			[3]={id=13212,num=3,},
		},
		boss_rank_reward_big_boss={[1]={id=1003,num=400,},[2]={id=1017,num=300,},},
		boss_rank_reward_big_boss2={[1]={id=1003,num=600,},[2]={id=1017,num=300,},},
		desc=[[2]],
		desc2=[[2]],
		extra_reward={},
		id=2,
		rank_reward={
			[1]={id=11004,num=1,},
			[2]={id=13101,num=1,},
			[3]={id=13212,num=3,},
		},
		server_extra_reward={},
		server_extra_reward2={},
		server_rank_reward={[1]=1048,[2]=1049,[3]=1009,},
		server_rank_reward2={[1]=1048,[2]=1049,[3]=1009,},
		server_rank_reward_big_boss={[1]=1109,[2]=1111,},
		server_rank_reward_big_boss2={[1]=1108,[2]=1110,},
	},
	[3]={
		boss_extra_reward={},
		boss_rank_reward={[1]={id=1003,num=20,},[2]={id=14011,num=10,},},
		boss_rank_reward2={
			[1]={id=11004,num=1,},
			[2]={id=13101,num=1,},
			[3]={id=13212,num=2,},
		},
		boss_rank_reward_big_boss={[1]={id=1003,num=200,},[2]={id=1017,num=200,},},
		boss_rank_reward_big_boss2={[1]={id=1003,num=400,},[2]={id=1017,num=200,},},
		desc=[[3]],
		desc2=[[3]],
		extra_reward={},
		id=3,
		rank_reward={
			[1]={id=11004,num=1,},
			[2]={id=13101,num=1,},
			[3]={id=13212,num=2,},
		},
		server_extra_reward={},
		server_extra_reward2={},
		server_rank_reward={[1]=1048,[2]=1049,[3]=1014,},
		server_rank_reward2={[1]=1048,[2]=1049,[3]=1014,},
		server_rank_reward_big_boss={[1]=1114,[2]=1116,},
		server_rank_reward_big_boss2={[1]=1113,[2]=1115,},
	},
	[4]={
		boss_extra_reward={},
		boss_rank_reward={[1]={id=1003,num=20,},[2]={id=14011,num=10,},},
		boss_rank_reward2={
			[1]={id=11004,num=1,},
			[2]={id=14001,num=1,},
			[3]={id=14011,num=10,},
		},
		boss_rank_reward_big_boss={[1]={id=1003,num=4000,},},
		boss_rank_reward_big_boss2={[1]={id=1003,num=7000,},},
		desc=[[Lucky rewards]],
		desc2=[[4-10]],
		extra_reward={},
		id=4,
		rank_reward={
			[1]={id=11004,num=1,},
			[2]={id=14001,num=1,},
			[3]={id=14011,num=10,},
		},
		server_extra_reward={},
		server_extra_reward2={},
		server_rank_reward={[1]=1048,[2]=1018,[3]=1019,},
		server_rank_reward2={[1]=1048,[2]=1018,[3]=1019,},
		server_rank_reward_big_boss={[1]=1119,},
		server_rank_reward_big_boss2={[1]=1118,},
	},
	[5]={
		boss_extra_reward={},
		boss_rank_reward={[1]={id=1003,num=20,},[2]={id=14011,num=10,},},
		boss_rank_reward2={[1]={id=14001,num=1,},[2]={id=14011,num=10,},},
		boss_rank_reward_big_boss={[1]={id=1003,num=2000,},},
		boss_rank_reward_big_boss2={[1]={id=1003,num=3000,},},
		desc=[[Lucky rewards]],
		desc2=[[11-20]],
		extra_reward={},
		id=5,
		rank_reward={[1]={id=14001,num=1,},[2]={id=14011,num=10,},},
		server_extra_reward={},
		server_extra_reward2={},
		server_rank_reward={[1]=1023,[2]=1024,},
		server_rank_reward2={[1]=1023,[2]=1024,},
		server_rank_reward_big_boss={[1]=1124,},
		server_rank_reward_big_boss2={[1]=1123,},
	},
	[6]={
		boss_extra_reward={},
		boss_rank_reward={[1]={id=1003,num=20,},[2]={id=14011,num=10,},},
		boss_rank_reward2={[1]={id=14001,num=1,},[2]={id=14011,num=10,},},
		boss_rank_reward_big_boss={[1]={id=1003,num=1000,},},
		boss_rank_reward_big_boss2={[1]={id=1003,num=1600,},},
		desc=[[Lucky rewards]],
		desc2=[[21-50]],
		extra_reward={},
		id=6,
		rank_reward={[1]={id=14001,num=1,},[2]={id=14011,num=10,},},
		server_extra_reward={},
		server_extra_reward2={},
		server_rank_reward={[1]=1028,[2]=1029,},
		server_rank_reward2={[1]=1028,[2]=1029,},
		server_rank_reward_big_boss={[1]=1129,},
		server_rank_reward_big_boss2={[1]=1128,},
	},
	[7]={
		boss_extra_reward={},
		boss_rank_reward={[1]={id=1003,num=20,},[2]={id=14011,num=10,},},
		boss_rank_reward2={[1]={id=14001,num=1,},[2]={id=14011,num=10,},},
		boss_rank_reward_big_boss={[1]={id=1003,num=700,},},
		boss_rank_reward_big_boss2={[1]={id=1003,num=1000,},},
		desc=[[Lucky rewards]],
		desc2=[[51-100]],
		extra_reward={},
		id=7,
		rank_reward={[1]={id=14001,num=1,},[2]={id=14011,num=10,},},
		server_extra_reward={},
		server_extra_reward2={},
		server_rank_reward={[1]=1033,[2]=1034,},
		server_rank_reward2={[1]=1033,[2]=1034,},
		server_rank_reward_big_boss={[1]=1134,},
		server_rank_reward_big_boss2={[1]=1133,},
	},
	[8]={
		boss_extra_reward={},
		boss_rank_reward={[1]={id=1003,num=20,},[2]={id=14011,num=10,},},
		boss_rank_reward2={[1]={id=14001,num=1,},[2]={id=14011,num=10,},},
		boss_rank_reward_big_boss={[1]={id=1003,num=500,},},
		boss_rank_reward_big_boss2={[1]={id=1003,num=900,},},
		desc=[[Lucky rewards]],
		desc2=[[101-200]],
		extra_reward={},
		id=8,
		rank_reward={[1]={id=14001,num=1,},[2]={id=14011,num=10,},},
		server_extra_reward={},
		server_extra_reward2={},
		server_rank_reward={[1]=1038,[2]=1039,},
		server_rank_reward2={[1]=1038,[2]=1039,},
		server_rank_reward_big_boss={[1]=1139,},
		server_rank_reward_big_boss2={[1]=1138,},
	},
	[9]={
		boss_extra_reward={},
		boss_rank_reward={[1]={id=1003,num=20,},[2]={id=14011,num=10,},},
		boss_rank_reward2={[1]={id=14001,num=1,},[2]={id=14011,num=10,},},
		boss_rank_reward_big_boss={[1]={id=1003,num=1,},},
		boss_rank_reward_big_boss2={[1]={id=1003,num=1,},},
		desc=[[khong dung]],
		desc2=[[200-999]],
		extra_reward={},
		id=9,
		rank_reward={[1]={id=14001,num=1,},[2]={id=14011,num=10,},},
		server_extra_reward={},
		server_extra_reward2={},
		server_rank_reward={[1]=1043,[2]=1044,},
		server_rank_reward2={[1]=1043,[2]=1044,},
		server_rank_reward_big_boss={[1]=1140,},
		server_rank_reward_big_boss2={[1]=1140,},
	},
	[10]={
		boss_extra_reward={[1]={id=1003,num=100,},},
		boss_rank_reward={},
		boss_rank_reward2={},
		boss_rank_reward_big_boss={},
		boss_rank_reward_big_boss2={},
		desc=[[send_all]],
		desc2=[[send_all]],
		extra_reward={[1]={id=1003,num=20,},[2]={id=14011,num=15,},},
		id=10,
		rank_reward={},
		server_extra_reward={[1]=1006,[2]=1007,},
		server_extra_reward2={[1]=1102,},
		server_rank_reward={},
		server_rank_reward2={},
		server_rank_reward_big_boss={},
		server_rank_reward_big_boss2={},
	},
}

BUFF={
	[1044]={buff=1044,cost=50000,id=1044,name=[[Sharp]],state=1002,},
	[1045]={
		buff=1045,
		cost=50000,
		id=1045,
		name=[[Strong Shield]],
		state=1006,
	},
}

STATUSDESC={
	[1]={
		air={
			[1]=[[Let me come back to this place again]],
			[2]=[[knowing that nothing good will happen]],
			[3]=[[I am the king]],
			[4]=[[the king is the BOSS]],
		},
		desc=[[Demon King makes up to come to the stage]],
		id=1,
		status=[[HP BOSS 70%-100%]],
	},
	[2]={
		air={
			[1]=[[Stupid humanity]],
			[2]=[[can hurt me again]],
			[3]=[[don't be proud]],
			[4]=[[you will pay for this]],
		},
		desc=[[Demon King gets angry]],
		id=2,
		status=[[HP BOSS 30%-70%]],
	},
	[3]={
		air={
			[1]=[[Disgusting]],
			[2]=[[it's time to show my true power]],
			[3]=[[I'm about to die]],
			[4]=[[you guys come to protect me]],
		},
		desc=[[Demon King is in rage!]],
		id=3,
		status=[[HP BOSS 0%-30%]],
	},
	[4]={
		air={
			[1]=[[I admit defeat]],
			[2]=[[behind every hero there are BOSSes who are quietly taking the blow]],
		},
		desc=[[Demon King was defeated!]],
		id=4,
		status=[[Die]],
	},
	[5]={
		air={
			[1]=[[I follow the wind come]],
			[2]=[[I follow the wind go]],
			[3]=[[I wave gently]],
			[4]=[[leaving no reward]],
		},
		desc=[[Haven't defeated the Demon King yet, let's try!]],
		id=5,
		status=[[Haven't defeated yet]],
	},
	[6]={
		air={
			[1]=[[Random Clone Description 1]],
			[2]=[[Random Clone Description 2]],
			[3]=[[Random Clone Description 3]],
			[4]=[[Random Clone Description 4]],
		},
		desc=[[Clone appearing]],
		id=6,
		status=[[Clone]],
	},
}

AIRPOS={
	[1015]={pos={x=-320,y=170,z=0,},},
	[1100]={pos={x=-228,y=110,z=0,},},
	[1501]={pos={x=-214,y=61,z=0,},},
	[1512]={pos={x=-200,y=170,z=0,},},
}
